CIWIKI(1)

NAME
ciwiki - simple wiki implementation with built-in webserver

SYNOPSIS
ciwiki [options]

DESCRIPTION
ciwiki is aimed at those who need a quick and lightweight wiki for personal use, such as notes, "to do" lists, etc. It is written in C, and has a low system requirements (binary size of ~73k stripped with
 ./configure CFLAGS='-s -Os'). This makes it particularly useful for low-power systems (Raspberry Pi).

ciwiki does not require installation of a separate webserver, scripting language, or database.

The appearance of the wiki pages may be altered by placing a styles.css in ~/.ciwiki or in the directory specified using the --home option.

OPTIONS

--log-less
    Suppress non-critical syslog output (like logging page visits).

-d, --debug
    Start in debug mode. In this case, ciwiki will not bind to any IP address or port: it will only read the requests from standard input (stdin)

-h directory, --home=directory
    By default ciwiki stores its pages in ~/.ciwiki. You can override this by specifying an alternative directory.

-l ipaddr, --listen=ipaddr
    By default ciwiki binds to "0.0.0.0". You can override this by specifying an alternative IP address.

-p port, --port=port
    By default ciwiki will listen on port 8000. You can override this by specifying an alternative port.

-a --autologin
    The localhost is logged automaticcally.

-n --nologin
    No login, all user can modify the wiki.

-s --sendmail
    Runs notifynewuser.sh. Validation code, login and password are sent via email. ssmtp must be installed.

-i length --index=length
    Number of links to display in each box of the index page.

-u --unmasked
    Default: The password is masked. --unmasked allows to show it.

-v --version
    Ciwiki version number.

--help
    Display the help message

To notify new users via email of their validation code, login and password, you need ssmpt and the script notifynewuser.sh . (notifynewuser.sh is included in the package and should be located in the folder /usr/local/libexec . If you do not use the default port 8000, you will have to edit notifynewuser.sh line #25 to provide the actual port #.

EXAMPLES

ciwiki uses syslog to log when it is launched or stopped, and when a page is accessed or modified. Here an example to list Ciwiki logs:

    $ grep Ciwiki /var/log/syslog

In order to launch ciwiki on a specific IP and port:

    $ ciwiki -l 127.0.0.1 -p 8080

AUTHOR
ciwiki Jean-Pierre Redonnet <mallum@o-hand.com> , ciwiki is a fork of didiwiki (written by Matthew Allum)